/* Force font-family for body to augment the eratic settings in camstyle.css */

body {
   font-family: Arial, Helvetica, sans-serif;
}

/* set the font and reduce the size of text in form data fields */

input, select {
   font-family: Arial, Helvetica, sans-serif;
}

textarea {
   font-family: Arial, Helvetica, sans-serif;
   font-size: inherit;
}

/* need the definition (omitted from camstyle2.css) so that we can 
   create 'top level website' pages */

#header td.title {
        font-size: 130%; 
        color: #990000; 
        font-weight: bold; 
        text-align: right; 
        vertical-align: bottom;
}   

/* add extra space above the footer seperator */

.layout {
        margin-bottom: 0.8em;
}

/* ======= TEMPORARY DEFINITIONS ====== */

/* Error and information messages */

.error {
	color: #900; 
	background: #FFF;	
	font-weight: bold;
        padding: 1em;
        border: 4px solid #900;
}

.message {
        float: right;        
	color: #FFF;
	background: #000;
	font-weight: bold;
        padding: 0.2em 1em;
        margin-top: 1em;
        margin-right: 1em;
}
.error input, .error textarea {
         border: 4px solid #FF0000;
}

.suppressed {
        font-size: 0.8em;
        color: #990000;
        background: #FFFFFF;
        font-weight: bold;
}

/* ==== Edit forms === */

div.buttons {
          margin: 1em 0;
          text-align: right;
}

form.edit input {
          border: 1px solid #999;
          padding: 0 6px;
}

                                                                              
form.edit fieldset {
          background-color: #ffe;
          padding: 0 0.5em 0.5em;
          margin: 0.5em 0;
          border: 1px solid #777;
}

form.edit legend {
          font-weight: bold;
}

form.edit div {
          white-space: nowrap;
          margin: 0;
          clear: both;
}

form.edit label {
          font-size: 0.9em;
          float: left;
          display: block;
          margin: 0.2em 1em 0 0;
}

form.edit label input {
        display: block;
        border: 1px solid #999;
        padding: 0.1em 0.2em;
}

form.edit label input[disabled] {
        color: #000;
        background-color: #f3f3f3;
}


form.edit label input.checkbox, form.edit input.hidden {
        border: none;
}

form.edit input.titles, form.edit input.initials {
        width: 3em;
}

form.edit input.phone, form.edit input.facsimiletelephonenumber, 
form.edit input.acronym {
        width: 10em;
}

form.edit input.label, form.edit input.uri, form.edit input.mail, 
form.edit input.grouptitle {
        width: 20em;
}

form.edit input.ou, form.edit input.grouptitle {
        width: 30em;
}

form.edit input.mgrgroupid[disabled="disabled"], 
form.edit input.rdrgroupid[disabled="disabled"] {
        width: 45em;
}


form.edit select {
        display: block;
        border: 1px solid #999;

}

form.edit textarea {
        display: block;
        width: 15em;
        border: 1px solid #999;

}

form.edit textarea.description {
        width: 45em;
}

/* ===== Listing Tables === */

table.listing {
        margin: 1em 0;
}

table.listing th, table.listing td {
        padding: 0.2em 0.4em;
}

table.listing tr.heading {
        color: #000;
        background-color: #b3b3b3;
}

table.listing tr.oddline {
        background: #FFFFFF;
        color: #000000;
}

table.listing tr.evenline {
        background: #e3e3e3;
        color: #000000;
}

/* ===== Atribute display pages ===== */

div.photo {
        float: right;
        text-align: center;
}

div.photo img {
        display: block;
        margin: 1em;
}

table.attrlist {
        margin: 1em;
}

table.attrlist tr {
        vertical-align: top;
}

table.attrlist th, table.attrlist td {
        padding: 0.3em;
}

table.attrlist th {
        text-align: right;
}

table.attrlist td {
        text-align: left;
}

a.vcardlink {
        clear: right;
        float: right;
        margin: 0.5em;
}

.editlinks {
        clear: both;
        margin: 0 5em;
}

.editlink {
        border: 1px solid #039;
        padding: 0.2em;
}

a.editlink:link, a.editlink:visited, a.editlink:active, 
a.editlink:link:hover, a.editlink:visited:hover {
       color: #039;  
       text-decoration: none;
}



/* ===== NEW IMPROVED TABS ===== */

ul.tabs {
        list-style: none;
	text-align: center;
        margin: 0;
        padding: 1px 0 0; /* aparently needed by Win IE, ?? */
}

ul.tabs a:hover {
	text-decoration: none
}

ul.tabs li {
        float:left;
        padding: 0px 0 1px 0;
}

ul.tabs li a {
        background: #e4e4e4 
                 url("../images/tab-grey-left.gif") left top no-repeat;
        padding: 0px 0 1px 10px;
	margin: 0 3px 0 0;
        float: left; /* for Mac IE5 */
}

/* hide from Mac IE5 \*/
ul.tabs li a {
        float: none;
}
/* end hide */

ul.tabs li a span {
        background: url("../images/tab-grey-right.gif") right top no-repeat;
        padding: 0px 10px 1px 0;
        float: left; /* for Mac IE5 */
}

/* hide from Mac IE5 \*/
ul.tabs li a span {
        float: none;
}
/* end hide */

ul.tabs li.current {
	font-weight: bold; 
	color: #FFF;
        background: #09c 
                     url("../images/tab-cblue-left.gif") left top no-repeat;
        padding: 0px 0 1px 10px;
	margin: 0 3px 0 0;
        border: none;
}

ul.tabs li.current span {
        background: url("../images/tab-cblue-right.gif") right top no-repeat;
        padding: 0px 10px 1px 0;
        float: left; /* for Mac IE5 */
}

/* hide from Mac IE5 \*/
ul.tabs li.current span {
        float: none;
}
/* end hide */       

div.tabruler {
        clear: both;
	height: 4px;
        background: #09c;
	border-bottom: 2px solid #ccc;
	padding: 0;
	margin: 0;
	font-size: 0;
}
